#ifndef __MAIN_H__
#define __MAIN_H__

#include <windows.h>
#include "FortressCommonDefs.h"

#ifdef BUILD_DLL
    #define DLL_EXPORT __declspec(dllexport)
#else
    #define DLL_EXPORT __declspec(dllimport)
#endif


#ifdef __cplusplus
extern "C"
{
#endif

DLL_EXPORT LPSTR __stdcall GetName();
DLL_EXPORT int __stdcall StartGame(int aPlayerNumber, PAvailProjects aAvailProjects, PAdditionalGameInfo AGI);
DLL_EXPORT int __stdcall GetTurn(int aPlayerNumber, PPlayerInfo aGame, PAvailProjects aAvailProjects, PAdditionalGameInfo AGI);

#ifdef __cplusplus
}
#endif

#endif // __MAIN_H__
